GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::MCIndexNoder Class Reference

Nodes a set of SegmentString using a index based on index::chain::MonotoneChain and a index::SpatialIndex. More...

`#include <MCIndexNoder.h>`

Inheritance diagram for geos::noding::MCIndexNoder:

## Public Member Functions
| MCIndexNoder (SegmentIntersector *nSegInt=NULL)
std::vector < index::chain::MonotoneChain * > & | getMonotoneChains ()
| Return a reference to this instance's std::vector of MonotoneChains.
index::SpatialIndex & | getIndex ()
std::vector< SegmentString * > * | getNodedSubstrings () const
void | computeNodes (std::vector< SegmentString * > *inputSegmentStrings)
Public Member Functions inherited from geos::noding::SinglePassNoder
| SinglePassNoder (SegmentIntersector *nSegInt=NULL)
virtual void | setSegmentIntersector (SegmentIntersector *newSegInt)

## Additional Inherited Members
Protected Attributes inherited from geos::noding::SinglePassNoder
SegmentIntersector * | segInt
| Externally owned.

## Detailed Description

Nodes a set of SegmentString using a index based on index::chain::MonotoneChain and a index::SpatialIndex.

The SpatialIndex used should be something that supports envelope (range) queries efficiently (such as a index::quadtree::Quadtree or index::strtree::STRtree.

Last port: noding/MCIndexNoder.java rev. 1.4 (JTS-1.7)

## Member Function Documentation

void geos::noding::MCIndexNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |
| virtual

Computes the noding for a collection of SegmentStrings.

Parameters

  segStrings | a collection of SegmentStrings to node

Implements geos::noding::SinglePassNoder.

std::vector<SegmentString*>* geos::noding::MCIndexNoder::getNodedSubstrings | ( |  | ) | const
| virtual

Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a Collection of SegmentStrings

Implements geos::noding::SinglePassNoder.

The documentation for this class was generated from the following file:

- MCIndexNoder.h